Skip to main content

Get Rule Task by ID

Retrieve a rule task by its unique identifier.

Path Parameters
id int32 — REQUIRED
Responses
200

Rule task found

Schema — OPTIONAL
exprValidColNames string — OPTIONAL
ruleValueHR string — OPTIONAL
ruleValue string
ruleType string

Possible values: [expression, regex, standard_validation]

expressionType string — OPTIONAL

Possible values: [spel, mvel, cep]

regexType string — OPTIONAL

Possible values: [java, hyperscan]

standardValidationType string — OPTIONAL

Possible values: [date, country, email, phone, address, ipaddress, hostname]

standardNameForValidation string — OPTIONAL
applicableScope string — OPTIONAL

Possible values: [row, col, metrics, quality, schema, governance]

dqDimension string — OPTIONAL

Possible values: [accuracy, validity, completeness, comprehensive, uniqueness, consistency, freshness, cardinality, coverage, diversity]

json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
id int32 — OPTIONAL
name string — OPTIONAL
description string — OPTIONAL
datasetId string — OPTIONAL
columns string — OPTIONAL
successMsg string — OPTIONAL
failureMsg string — OPTIONAL
onboardingStatus string — OPTIONAL

Possible values: [drafted, deployed, paused, under_review, approved]

executionStatus string — OPTIONAL

Possible values: [passing, failing, pending]

criticalityLevel string — OPTIONAL

Possible values: [high, moderate, less, not]

404

Rule task with the specified ID was not found